<?php
spAddViewFunction('pager', '__template_pager');
function __template_pager($params){
	if( !isset($params['pager']) || empty($params['pager']) )return '';
	$args = array();
	foreach( $params as $k => $v )if( !in_array($k, array('c','a','pager','myclass','mypage','offset')) )$args[$k] = $v;
	$pagerhandle = isset($params['pager']['mypage']) ? $params['pager']['mypage'] : 'p';
	$html = "<div class=\"{$params['myclass']}\">";
	if( $params['pager']['current_page'] != $params['pager']['first_page'] ){
		$url = spUrl($params['c'], $params['a'], $args + array($pagerhandle => $params['pager']['prev_page']));
		$html .= "<a href=\"{$url}\">&lt; Prev</a>";
	}else{
		$html .= "<span class=\"disabled\">&lt; Prev</span>";
	}
	$offset = $params['offset'] ? $params['offset'] : 200; // 可以在<{pager}>内用offset=x来调整

    foreach( $params['pager']['all_pages'] as $p ){
            if( $p == $params['pager']['current_page'] ){
                    $html .= "<span class=\"current\">{$p}</span>";
            }else{
                    if( ($params['pager']['current_page'] < $offset && $p < $offset ) ||
                            ($params['pager']['current_page'] > $params['pager']['last_page'] - $offset && $p > $params['pager']['last_page'] - $offset ) ||
                            ( $p < $params['pager']['current_page'] + $offset && $p > $params['pager']['current_page'] - $offset )
                     ){
                            $url = spUrl($params['c'], $params['a'], $args + array($pagerhandle => $p));
                            $html .= "<a href=\"$url\">{$p}</a>";
                    }
            }
    }
	if( $params['pager']['current_page'] != $params['pager']['last_page'] ){
		$url = spUrl($params['c'], $params['a'], $args + array($pagerhandle => $params['pager']['next_page']));
		$html .= "<a href=\"$url\">Next &gt;</a>";
	}else{
		$html .= "<span class=\"disabled\">Next &gt;</span>";
	}
	$html .= '</div>';
	return $html;
}



